Last Comment Bug 585279 - TEST-UNEXPECTED-FAIL | test-message-header.js | test_toolbar_collapse_and_expand (The header box should have returned to its wide size!)
: TEST-UNEXPECTED-FAIL | test-message-header.js | test_toolbar_collapse_and_exp...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Message Reader UI (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Mike Conley (:mconley) - (needinfo me!)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-07 03:44 PDT by Mark Banner (:standard8)
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1 (1.19 KB, patch)
2012-03-26 08:28 PDT, Mike Conley (:mconley) - (needinfo me!)
standard8: review+
Details | Diff | Review

Description Mark Banner (:standard8) 2010-08-07 03:44:50 PDT
Random orange seen on tinderbox:

TEST-UNEXPECTED-FAIL | e:\buildbot\win32-comm-central-check\build\mail\test\mozmill\message-header\test-message-header.js | test_toolbar_collapse_and_expand
  EXCEPTION: The header box should have returned to its wide size!
    at: test-message-header.js line 572
       Error("The header box should have returned to its wide size!")  0
       test_toolbar_collapse_and_expand() test-message-header.js 572
            frame.js 474
            frame.js 530
            frame.js 573
            frame.js 417
            frame.js 579
            server.js 164
            server.js 168
TEST-PASS |  test_get_msg_button_customize_header_toolbar
TEST-PASS |  teardownModule
TEST-PASS |  setupModule
TEST-PASS |  test_Reply_To_List_From_Address
TEST-PASS |  teardownModule

http://tinderbox.mozilla.org/showlog.cgi?log=Thunderbird/1281170291.1281175569.5824.gz#err0
Comment 1 rsx11m 2010-08-07 05:31:01 PDT
First occurrence I could find over the last few days was:

WINNT 5.2 comm-central check on 2010/08/05 13:40:16
http://tinderbox.mozilla.org/showlog.cgi?log=Thunderbird/1281040816.1281047660.15667.gz#err0

Thus, shortly after the bug 581921 / bug 581922 check-ins.
Comment 2 Mike Conley (:mconley) - (needinfo me!) 2012-03-26 08:28:01 PDT
Created attachment 609329 [details] [diff] [review]
Patch v1

It looks like we weren't being patient in checking for the window resize.
Comment 3 Mike Conley (:mconley) - (needinfo me!) 2012-03-27 07:16:52 PDT
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/2bb2e56e4f11

Note You need to log in before you can comment on or make changes to this bug.